PETSc version 3.15.5
Fix/Edit manual page

# PetscStageLogGetVisible

This function returns whether a stage is printed during PetscLogView()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetVisible(PetscStageLog stageLog, int stage, PetscBool  *isVisible)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage to log

### Output Parameter

| isVisible | - The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

| -log_view | - Activates log summary

### See Also

PetscStageLogSetVisible(), PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages